﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

#loading {
    position: fixed;
    display: none;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0.7;
    background-color: #fff;
    z-index: 99;
}

#loading-image {
    z-index: 100;
    font-size: 24px;
}

.dataTables_wrapper .dataTables_length select,
.dataTables_wrapper .dataTables_filter input {
    background: white;
}

.dataTables_wrapper .dataTables_filter {
    margin-bottom: 30px;
}

.clear {
    clear: both;
}

div#sticker {
    padding: 20px;
    margin: 20px 0;
    background: #AAA;
    width: 190px;
}

.stick {
    position: fixed;
    top: 0px;
    width: 290px;
}

.buttonContainer {
    text-align: right;
    padding: 10px;
    margin-bottom: 10px;
    background: #2A5365;    
}
    .buttonContainer button {
        color: white;        
    }

.redClass {
    background: #2A5365 !important;
}

    .redClass td {
        background: #2A5365 !important;
    }

.padding-bottom-40 {
    margin-bottom: 40px;
}

.dataTables_processing {
    z-index: 1000;
    background: gray !important;
    height: 75px !important;
    color: white !important;
}

.color-back {
    color: black !important;
}

hr.white {
    clear: both;
    margin: 20px 0;
    color: white;
    height: 2px;
    background-color: #ffffff;
    border: none;
}

label.forceblack {
    color: black !important;
}

.qr-container {
    background: white;
    padding: 40px;
}

.table-row-indicator {
    min-width: 250px;
}

#qrCode {
    margin: 0 35%;
}

label.form-label,
label.forcewhite {
    color: white;
}

.no-underline {
    text-decoration: none;
    cursor: pointer !important;
}

a.color-cyan:hover {
    color: white;
}

a.corpus-color {
    color: #78D2F1;
}

h1,
h2,
p {
    color: white;
}

.allmess {
    border: none;
    background: transparent;
}


.form-floating {
    margin-bottom: 20px;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

@font-face {
    font-family: 'Segoe UI Regular';
    font-style: normal;
    font-weight: normal;
    src: local('Segoe UI Regular'), url('../fonts/Segoe UI.woff') format('woff');
}

@font-face {
    font-family: 'Segoe UI Italic';
    font-style: normal;
    font-weight: normal;
    src: local('Segoe UI Italic'), url('../fonts/Segoe UI Italic.woff') format('woff');
}

@font-face {
    font-family: 'Segoe UI Bold';
    font-style: normal;
    font-weight: normal;
    src: local('Segoe UI Bold'), url('../fonts/Segoe UI Bold.woff') format('woff');
}

@font-face {
    font-family: 'Segoe UI Bold Italic';
    font-style: normal;
    font-weight: normal;
    src: local('Segoe UI Bold Italic'), url('../fonts/Segoe UI Bold Italic.woff') format('woff');
}

body {
    background-image: url('../images/background.png');
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0;
    font-family: Segoe UI Regular;
}
/* components */
.btn-link {
    text-decoration: none;
}

label {
    color: white;
}

.link {
    text-decoration: none;
    cursor: pointer;
}

.btn-message-sentiment,
.btn-sentiment {
    color: #2A5365;
}

    .btn-message-sentiment.active,
    .btn-sentiment.active {
        color: #78D2F1;
        font-weight: bold;
    }

.search-corpus-result.active {
    background: #2A5365;
    padding: 0.5rem;
    margin-bottom: 2rem;
}

.search-corpus-text {
    padding: 0.5rem 0;
    color: #78D2F1;
    border-bottom: 1px solid white;
    height: 4rem;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* color classes */
.color-cyan {
    color: #78D2F1;
}

.color-white {
    color: white;
}

.color-red {
    color: #EF7A7A;
}

.color-yellow {
    color: #FF8800;
}

.color-red-back {
    background: #EF7A7A;
}

.color-grey-back {
    background: #ABABAB;
}

.color-cyan-back {
    background: #2A5365;
}

.border-cyan {
    border-color: #78D2F1 !important;
}

.color-casal-back {
    background: #2A5365;
}
/* logo */
.logo-holder {
    position: absolute;
    top: 1rem;
    left: 1rem;
}

    .logo-holder img {
        width: 48px;
        height: 48px;
    }
/* navigation bar */
nav {
    background: transparent;
}

    nav .navbar-brand img {
        width: 48px;
        height: 48px;
    }

    nav .navbar-brand {
        font-size: 20px;
        line-height: 27px;
        color: white;
    }

.navbar-nav .nav-link {
    color: #78D2F1;
}

    .navbar-nav .nav-link.active {
        color: white;
        font-weight: bold;
    }

nav .search-form input,
nav .search-form input:focus {
    background: transparent;
    color: white;
    border-color: #78D2F1;
}

nav .search-form span {
    background: transparent;
    color: #78D2F1;
    border-color: #78D2F1;
}
/* pages */
.page-wrapper {
    width: 100vw;
    height: 100vh;
    position: relative;
}

.page-content-wrapper {
    padding: 5rem 0;
    height: 100%;
}

.page-content {
    height: 100%;
}
/* table */
.table-wrapper {
    max-height: 100%;
    overflow-y: auto;
}

.table thead tr {
    border-bottom: 2px solid white;
}

.table tbody tr {
    border-bottom-color: transparent;
}

.table .text-nowrap {
    white-space: nowrap !important;
    overflow: hidden;
    text-overflow: ellipsis;
}

.table > :not(:last-child) > :last-child > * {
    border-bottom-color: transparent;
}

.dm-message-row {
    font-size: 14px;
}

    .dm-message-row:before {
        content: "@";
        display: block;
        line-height: 10px;
        text-indent: -99999px;
    }

    .dm-message-row.active tr {
        background: #2A5365;
    }

    .dm-message-row.unread tr {
        background: #9F9696;
    }

    .dm-message-row td {
        padding: 0 0.5rem;
    }

.dm-account-table tr.active {
    background: #2A5365;
}

.btn-small-icon {
    width: 23px;
    height: 26px;
    display: flex;
    justify-content: center;
}

.btn-border {
    border: 2px solid white;
}

.chosen-container {
    flex: 1;
}

/* scroll bar */
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: transparent;
    border-right: 1px solid #78D2F1;
}

::-webkit-scrollbar-thumb {
    background: #78D2F1;
}
